with import <nixpkgs> { };
let
  jekyll_env = pkgs.bundlerEnv {
    name = "jekyll_env";
    ruby = pkgs.ruby;

    gemdir = ./.;
  };
in pkgs.stdenv.mkDerivation {
  name = "vampysite";

  buildInputs = with pkgs; [
    jekyll_env
    # nokogiri dependencies
    zlib
    libiconv
    libxml2
    libxslt
    nodejs-slim
  ];

  shellHook = ''
    exec bundle exec jekyll serve --livereload
  '';
}

